##on liste les différents fichiers mzXML
traces=read.table("list_file.txt",header=F,sep="\t", dec=".")
colnames(traces)[1]="file"

#faire en sorte, que tout les fichiers est la même longueur en caractère
sample = as.vector(as.character(traces[,1]))
pdf("alingement_corrige.pdf")
for (j in (1:length(sample))){ 
#trace= read.table(paste("alignement_ms2"+as.character(sample[j]),sep=""),sep="\t",header=T,dec=".")
trace= read.table(as.character(sample[j]),sep="\t",header=T,dec=".")
#plot des données ms2
plot(trace$deltaRt_MS2~trace$rt_MS2,main=sample[j],xlab="Temps de retention", ylab="delta RT",ylim=c(-50,50))
lines(trace$post.mean.deltaRt_MS2~trace$rt_MS2,col="red")

}
dev.off()

#plot des données obiwarp
##on liste les différents fichiers mzXML
times=read.table("liste_file2.txt",header=F,sep="\t", dec=".")
colnames(times)[1]="file"

#faire en sorte, que tout les fichiers est la même longueur en caractère
sample2 = as.vector(as.character(times[,1]))
pdf("alignement_compar.pdf")
for (j in (1:length(sample))){ 
trace= read.table(paste("alignement_ms2/",as.character(sample[j]),sep=""),sep="\t",header=T,dec=".")
#plot des données ms2 et aligné ms
plot(trace$deltaRt_MS2~trace$rt_MS2,main=sample[j],xlab="Temps de retention", ylab="delta RT",ylim=c(-50,50))
lines(trace$smoothed.deltaRt_MS1~trace$rt_MS1,col="red")

#plot des données obiwarp
time=read.table(as.character(sample2[j]),sep="\t",header=F,dec=".")
time = cbind.data.frame(time,delta=time$V1-time$V2)
lines(time$delta~time$V1,col="blue")

}
dev.off()
